Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department:  Affected Products: ADTF 3.6.3

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Workaround Available FAQ Links:  

Description

Supportanfrage

I have a problem with the ADTF3 cDom implementation

    std::string found_project = "";

    adtf::util::cDOM config_xml;

    adtf::util::cDOMElementRefList siglist;

    adtf::util::cDOMElementRefList dblist;

    adtf::util::cDOMElement* project_node = NULL;

    ::std::cout << "file = " << file.GetPath() << ::std::endl;

    ::std::cout << "sourcefile = " << sourcefile.GetPath() << ::std::endl;

    ::std::cout << "file = " << file.GetName() << ::std::endl;

    ::std::cout << "sourcefile = " << sourcefile.GetName() << ::std::endl;

    LOG_INFO(adtf::util::cString::Format("file= %s", file.GetName()));

    LOG_INFO(adtf::util::cString::Format("sourcefile= %s", sourcefile.GetName()));

    ::std::cout << "_project = " << _project << ::std::endl;

    LOG_INFO("1");

    config_xml.Load("myXml.xml");

    LOG_INFO("2");

 In ADTF3 it takes very long to parse or load a xml file.

The line "config_xml.Load("myXml.xml");" take a long time to finish.

Is it a known problem?

Lösung

Yes, cDOM is a very naive and slow implementation, it is included with ADTF3 for backwards compatibility purposes only. We

recommend using pugixml (https://pugixml.org) instead.

History

#1 - 2020-05-11 10:30 - hidden

- Project changed from Public Support to 11

- Topic set to ADTF::Common

- Customer set to AUDI

#3 - 2020-05-11 16:04 - hidden

- Status changed from New to In Progress

#4 - 2020-05-11 16:19 - hidden

Yes, cDOM is a very naive and slow implementation, it is included with ADTF3 for backwards compatibility purposes only. We recommend using

pugixml (https://pugixml.org) instead.

Regards,
Martin

#5 - 2020-05-14 16:01 - hidden

- Status changed from In Progress to Customer Feedback Required

#6 - 2020-05-18 10:08 - hidden

- Project changed from 11 to Public Support

- Subject changed from Problem with cDom to Perfomance issues using cDom

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Workaround Available

#9 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
